## com.sun.jna.platform.unix
Class X11.XVisualInfo

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XVisualInfo

Enclosing interface:
  X11

    public static class X11.XVisualInfo

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` `bits_per_rgb`
`com.sun.jna.NativeLong` `blue_mask`
`int` `c_class`
`int` `colormap_size`
`int` `depth`
`com.sun.jna.NativeLong` `green_mask`
`com.sun.jna.NativeLong` `red_mask`
`int` `screen`
`X11.Visual` `visual`
`X11.VisualID` `visualid`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XVisualInfo()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### visual

    public X11.Visual visual

### visualid

    public X11.VisualID visualid

### screen

    public int screen

### depth

    public int depth

### c_class

    public int c_class

### red_mask

    public com.sun.jna.NativeLong red_mask

### green_mask

    public com.sun.jna.NativeLong green_mask

### blue_mask

    public com.sun.jna.NativeLong blue_mask

### colormap_size

    public int colormap_size

### bits_per_rgb

    public int bits_per_rgb

Constructor Detail

### X11.XVisualInfo

    public X11.XVisualInfo()